Uploaded image for project: 'Apache Airflow'
  1. Apache Airflow
  2. AIRFLOW-5406

Allow spark_submit_hook to run without pip install kubernetes/airflow[kubernetes]

    XMLWordPrintableJSON

    Details

      Description

      Allow spark_submit_hook to run without pip install kubernetes/airflow[kubernetes]

      k8s dependencies causing issues for non-k8s users based on 1.10.6:
      settings.py:
      from airflow.contrib.kubernetes.pod import Pod
      def pod_mutation_hook(pod):

      models/_init_.py
      from airflow.models.kubernetes import KubeWorkerIdentifier, KubeResourceVersion

      spark_submit_hook.py
      from airflow.contrib.kubernetes import kube_client

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                toopt4 t oo
                Reporter:
                toopt4 t oo
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: